import Icon from '../../icon';
import Input from '..';
import React from 'react';
import ReactDOM from 'react-dom';
class App extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            v: '',
        };
        this.onChange = v => {
            this.setState({
                v,
            });
        };
        this.onClick = () => {
            console.log(this.state.v);
        };
    }
    render() {
        return (React.createElement("div", null,
            React.createElement(Input, { innerBefore: React.createElement(Icon, { type: "search", style: { margin: 4 }, onClick: this.onClick }), placeholder: "search", value: this.state.v, "aria-label": "input with config of innerBefore", onChange: this.onChange }),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Input, { innerAfter: React.createElement(Icon, { type: "search", size: "xs", onClick: this.onClick, style: { margin: 4 } }), placeholder: "search", value: this.state.v, "aria-label": "input with config of innerAfter", onChange: this.onChange }),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Input, { disabled: true, defaultValue: "hi", innerAfter: React.createElement(Icon, { type: "calendar", style: { margin: 4 } }), "aria-label": "input with config of innerAfter and disabled" })));
    }
}
ReactDOM.render(React.createElement(App, null), document.getElementById('input-demo-9'));
